Using
Lists the tables of a domain (views are listed separately, `GET …/views`).
applies to v0.5.1GET
/store-api/rel/{domain}/tables
const url = 'https://example.com/store-api/rel/example/tables';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/store-api/rel/example/tables \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”domain
required
string
Relational domain
Responses
Section titled “Responses”Tables of the domain
Media typeapplication/json
Array<object>
object
_links
required
object
rows
required
string
self
required
string
name
required
string
Example generated
[ { "_links": { "rows": "example", "self": "example" }, "name": "example" }]Domain not found
Media typetext/plain
string
Domain is being deleted
Media typetext/plain
string
Per-domain request budget exceeded
Media typetext/plain
string
Relational engine disabled
Media typetext/plain
string